from odoo import models
from odoo.addons.saas_worker.const import SAAS_BASE_URL, WEBSITE

class Http(models.AbstractModel):
    """Augment ir.http with the url to start a new trial intance"""
    _inherit = "ir.http"

    def session_info(self):
        info = super().session_info()
        info["demo_restart_url"] = f"//demo.{SAAS_BASE_URL}/"
        info["subscribe_url"] = f"{WEBSITE}/start"
        return info
